DO
$$
    DECLARE
        _path character varying(256) := 'patch-2025_12_08-ProjectAttachments_PreviewFileId';
    BEGIN
        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Path" = _path) THEN
            RETURN;
        END IF;

        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Build" >= 15953) THEN
            RETURN;
        END IF;

        BEGIN
            
            alter table public."ProjectAttachments" add column IF NOT EXISTS "PreviewFileId" int8 null;


            INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

        EXCEPTION
            WHEN OTHERS THEN
                RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
        END;

    END;
$$;
